DOVEADM-QUOTA(1)

NAME
doveadm-quota - Initialize/recalculate or show current quota usage

SYNOPSIS

doveadm [GLOBAL OPTIONS] [-f formatter] quota [-S socket_path] command -A

doveadm [GLOBAL OPTIONS] [-f formatter] quota [-S socket_path] command -F file

doveadm [GLOBAL OPTIONS] [-f formatter] quota [-S socket_path] command --no-userdb-lookup

doveadm [GLOBAL OPTIONS] [-f formatter] quota [-S socket_path] command -u user

DESCRIPTION

In the first form, the command will be performed for all users.

In the second form, the command will be performed for all users listed in the given file.

In the third form, the command will be performed for the user contained in the USER environment variable.

In the last form, the command will affect only the matching user(s).

    •   The quota get and quota recalc commands are only available when the global mail_plugins setting contains the quota plugin.

GLOBAL OPTIONS

Global doveadm(1) options:

-D

        Enables verbosity and debug messages.

-O

        Do not read any config file, just use defaults. The dovecot_storage_version setting defaults to the latest version, but can be overridden with -o.

-k

        Preserve entire environment for doveadm, not just import_environment setting.

-v

        Enables verbosity, including progress counter.

-i instance-name

        If using multiple Dovecot instances, choose the config file based on this instance name.

        See instance_name setting for more information.

-c config-file

        Read configuration from the given config-file. By default it first reads config socket, and then falls back to /etc/dovecot/dovecot.conf. You can also point this to config socket of some instance running compatible version.

-o setting=value

        Overrides the configuration setting from /etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-f formatter

        Specifies the formatter for formatting the output. Supported formatters are:

        flow

            prints each line with key=value pairs.

json

    prints a JSON array of JSON objects.

pager

    prints each key: value pair on its own line and separates records with form feed character (^L).

tab

    prints a table header followed by tab separated value lines.

table

    prints a table header followed by adjusted value lines.

OPTIONS

-A

        If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

        When the SQL userdb module is used, make sure that the userdb_sql_iterate_query setting setting matches your database layout.

        When using the LDAP userdb module, make sure that the userdb_fields setting and userdb_ldap_iterate_fields setting settings match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-F file

        Execute the command for all the users in the file. This is similar to the -A option, but instead of getting the list of users from the userdb, they are read from the given file. The file contains one username per line.

--no-userdb-lookup

        Do not perform userdb lookup. Use the USER environment variable to specify the username.

-S socket_path

        The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

        This allows an administrator to execute doveadm(1) mail commands through the given socket.

-u user/mask

        Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).

COMMANDS

  quota get

doveadm [GLOBAL OPTIONS] quota get [-A | -u user | -F file]

The quota get command is used to display the current quota usage. The storage values are reported in kilobytes.

This command uses by default the output formatter table.

  quota recalc

doveadm [GLOBAL OPTIONS] quota recalc [-A | -u user | -F file]

The quota recalc command is used to recalculate the current quota usage.

FILES

/etc/dovecot/dovecot.conf

        Dovecot's main configuration file, including the dict section.

/etc/dovecot/conf.d/10-mail.conf

        Mailbox locations and namespaces.

/etc/dovecot/conf.d/90-quota.conf

        Quota configuration.

EXAMPLE

Get the current quota usage of user jane:

    doveadm quota get -u jane

    Quota name                        Type    Value  Limit  %
    user                              STORAGE 90099 102400 87
    user                              MESSAGE 20548  30000 68

REPORTING BUGS

Report bugs, including doveconf -n output, to the Dovecot Mailing List ⟨dovecot@dovecot.org⟩. Information about reporting bugs is available at: ⟨https://dovecot.org/bugreport.html⟩

SEE ALSO

doveadm(1)